View Issue Details

IDProjectCategoryView StatusLast Update
0016034MediaMonkey 5Main Panelpublic2019-10-18 12:34
ReporterLudek 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0016034: Subnode of 'Artists' shows only content of the artist (not album artist)
DescriptionIn MM5 the 'Artist & Album Artist' node was replaced by 'Artists', BUT
expanding [Artists > Various Artists > ...] does not list albums of artist that is 'album artist' only (and not an artist).
i.e. 'album artist' of an album on which no track has the 'artist' assigned
TagsNo tags attached.
Fixed in build2205

Relationships

related to 0016032 closedmichal Album artist node sometimes does not fetch all related tracks 

Activities

Ludek

2019-10-11 22:31

developer   ~0055011

Fixed in 2205

Ludek

2019-10-12 09:15

developer   ~0055013

Last edited: 2019-10-12 09:16

View 2 revisions

Re-opened:
While count of albums is fixed, the count of tracks still is not all right.

[Music > Artists > Various Artists] shows 57 albums, 173 tracks
while
[Music > Album Artists > Various Artists] shows 56 albums, but 1149 tracks

Ludek

2019-10-12 09:59

developer   ~0055014

Last edited: 2019-10-12 10:00

View 2 revisions

Fixed in 2205

[Music > Artists > Various Artists] now includes all 1149 tracks

peke

2019-10-17 23:49

developer   ~0055035

Verified 2205

It behaves as Designed, I can't replicate 0016034:0055013 behavior.

I would only do a tweak that is Album Artist tree node is enable then Artists should not Include Album Artists. Close if you thing it is not needed?

Ludek

2019-10-18 07:32

developer   ~0055039

Last edited: 2019-10-18 07:39

View 4 revisions

I think that this would be rather confusing and also problematic (e.g. on sync-list config where album artist originally selected under "Artists" node would need to be moved to the "Album artist" node etc).
So leaving the 'Artists' node as designed and concluded in 0014747:0050028 (details there)

rusty

2019-10-18 12:34

administrator   ~0055043

Verified 2205.